org.restlet.engine.http.header

## Class DispositionReader

- java.lang.Object
- - org.restlet.engine.http.header.HeaderReader<Disposition>
  - - org.restlet.engine.http.header.DispositionReader

    public class DispositionReader
    extends HeaderReader<Disposition>

Disposition header reader.

Author:
  Thierry Boileau

### Constructor Summary

Constructors
Constructor and Description
`DispositionReader(java.lang.String header)` Constructor.

### Method Summary

Methods
`Disposition` `readValue()` Read the next value.

### Methods inherited from class org.restlet.engine.http.header.HeaderReader

`addValues, canAdd, createParameter, createParameter, mark, peek, read, readComment, readDate, readDigits, readHeader, readHeader, readParameter, readParameterValue, readQuotedString, readRawText, readRawValue, readToken, readValues, reset, skipParameterSeparator, skipSpaces, skipValueSeparator, unread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DispositionReader

    public DispositionReader(java.lang.String header)

Constructor.

Parameters:
  `header` - The header to read.

### Method Detail

#### readValue

    public Disposition readValue()
                          throws java.io.IOException

Description copied from class: `HeaderReader`
Read the next value. There can be multiple values for a single header.

Overrides:
  `readValue` in class `HeaderReader<Disposition>`
Returns:
  The next value.
Throws:
  `java.io.IOException`